/**
 * JS Document. 
 * @author Sandro Jordão.
 */
 
var tabs;
var divs;
var aba;
var filtroID = 0;
var filtroDetailID = 0;

function clonar()
{
	$.post(basepath + 'principal/verificarLogado', 
		function(logado) {
			if(logado == 0)
			{
				// Inicializando - Master/Detail
				var tabelaDetail = '';
				var camposDetail = '';
				
				var	groupTableDetail  	= new Array();
				var	groupCampoDetail  	= new Array(); 
				var	groupNomeDetail   	= new Array();	
				var	groupTipoDetail   	= new Array();
				var	groupOperadorDetail	= new Array();	
				var	colTableDetail    	= new Array();	
				var	colCampoDetail    	= new Array();	
				var	colNomeDetail     	= new Array(); 
				var	colFuncaoDetail   	= new Array();
				var	colOperadorDetail 	= new Array();
				var	colOrdenarDetail 	= new Array();
				var colTypeColumnDetail = new Array();
				var colTypeDataDetail   = new Array();
				var colFormulaDetail    = new Array();

				var	groupTable 	  = new Array();
				var	groupCampo 	  = new Array();  
				var	groupNome 	  = new Array();
				var	groupTipo 	  = new Array();
				var	groupOperador = new Array();
				var colTable 	  = new Array();
				var	colCampo      = new Array();
				var	colNome 	  = new Array(); 
				var	colFuncao 	  = new Array(); 
				var	colOperador   = new Array();
				var	colOrdenar    = new Array();
				var colTypeColumn = new Array();
				var colTypeData   = new Array();
				var colFormula 	  = new Array();
				
				/* ** Dados da aba "Propriedades" ** */
				var nome 	  = $('#nome').val();
				var descricao = $('#descricao').val();
				var tabela 	  = $('#tabela').val();
				var grupo 	  = $('#grupo').val();
				var refresh	  = $('#listaTimeRefresh').val();
				var visivel   = $("input[name='rdoDisponivel']:radio:checked").val();
				var subreport = $("input[name='rdoSubRelatorio']:radio:checked").val();
				var borda	  = ($("#exibirBorda").is(':checked')) ? 'S' : 'N';
				
				// Dados da ordenação dos campos
				var stringOrdem = $("#stringOrdenar").val();
				var ordemColunas = $("#colunasOrdenar").val();
				var ordem = $("#ordemOrdenar").val();
				
				// Dados da ordenação dos campos tabela Detail
				var stringOrdemDetail = $("#stringOrdenarDetail").val();
				var ordemColunasDetail = $("#colunasOrdenarDetail").val();
				var ordemDetail = $("#ordemOrdenarDetail").val();
				
				/* ** Dados da aba "Permissões" ** */
				var groupArray = new Array();
				$(".groups").each(function(){ groupArray.push($(this).val()); });
				var usersArray = new Array();
				$(".users").each(function(){ usersArray.push($(this).val()); });
				
				/* ** Dados da aba "Formato" ** */
				var tipo = $("input[name='formato']:radio:checked").val();
				
				/* ** Dados da aba "Calculado" ** */
				var calcNome = new Array();
				$(".tbListaCampoCalculado1 input[name='campoCalculadoLegenda']").each(function(){ calcNome.push($(this).val()); });
				var calcFormula = new Array();
				$(".tbListaCampoCalculado1 input[name='campoCalculadoFormula']").each(function(){ calcFormula.push($(this).val()); });
				var calcTipoData = new Array();
				$(".tbListaCampoCalculado1 input[name='campoCalculadoTipo']").each(function(){ calcTipoData.push($(this).val()); });
				var calcIndice = new Array();
				$(".tbListaCampoCalculado1 input[name='campoCalculadoIndice']").each(function(){ calcIndice.push($(this).val()); });
				
				var calcNomeDetail = new Array();
				var calcFormulaDetail = new Array();
				var calcTipoDataDetail = new Array();
				var calcIndiceDetail = new Array();
				if(tipo == 'D')
				{
					$(".tbListaCampoCalculado2 input[name='campoCalculadoLegenda']").each(function(){ calcNomeDetail.push($(this).val()); });
					$(".tbListaCampoCalculado2 input[name='campoCalculadoFormula']").each(function(){ calcFormulaDetail.push($(this).val()); });
					$(".tbListaCampoCalculado2 input[name='campoCalculadoTipo']").each(function(){ calcTipoDataDetail.push($(this).val()); });
					$(".tbListaCampoCalculado2 input[name='campoCalculadoIndice']").each(function(){ calcIndiceDetail.push($(this).val()); });
				}
				
				/* ** Dados da aba "Dados" ** */
				if(tipo == 'D')
				{
					tabelaDetail = $("#tabelaDetail").val();
					camposDetail = $("#camposDetail").val();
					
					var countGrid = $(".abaContentDetail").length;
					
					var indice = 1; 
					
					/* TABELA MASTER */ 
					$("input[name='groupTable"+ indice +"']").each(function(){ groupTable.push($(this).val()); });
					$("input[name='groupField"+ indice +"']").each(function(){ groupCampo.push($(this).val()); });
					$("input[name='groupLegend"+ indice +"']").each(function(){ groupNome.push($(this).val()); }); 
					$("input[name='groupTipo"+ indice +"']").each(function(){ groupTipo.push($(this).val()); });
					$("input[name='groupOperador"+ indice +"']").each(function(){ groupOperador.push($(this).val()); });
					
					$("input[name='colTable"+ indice +"']").each(function(){ colTable.push($(this).val()); });
					$("input[name='colField"+ indice +"']").each(function(){ colCampo.push($(this).val()); }); 
					$("input[name='colLegend"+ indice +"']").each(function(){ colNome.push($(this).val()); }); 
					$("input[name='colFunction"+ indice +"']").each(function(){ colFuncao.push($(this).val()); });
					$("input[name='colOperador"+ indice +"']").each(function(){ colOperador.push($(this).val()); });
					$("input[name='colOrdenar"+ indice +"']").each(function(){ if($(this).val() == 'N') colOrdenar.push('N'); else colOrdenar.push('S'); });
					
					$("input[name='colTypeColumn"+ indice +"']").each(function(){ colTypeColumn.push($(this).val()); });
					$("input[name='colTypeData"+ indice +"']").each(function(){ colTypeData.push($(this).val()); });
					$("input[name='colFormula"+ indice +"']").each(function(){ colFormula.push($(this).val()); });
					
					indice++;
					
					/* TABELA DEATIL */	
					$("input[name='groupTable"+ indice +"']").each(function(){ groupTableDetail.push($(this).val()); });
					$("input[name='groupField"+ indice +"']").each(function(){ groupCampoDetail.push($(this).val()); });  
					$("input[name='groupLegend"+ indice +"']").each(function(){ groupNomeDetail.push($(this).val()); }); 
					$("input[name='groupTipo"+ indice +"']").each(function(){ groupTipoDetail.push($(this).val()); });
					$("input[name='groupOperador"+ indice +"']").each(function(){ groupOperadorDetail.push($(this).val()); });
					
					$("input[name='colTable"+ indice +"']").each(function(){ colTableDetail.push($(this).val()); });
					$("input[name='colField"+ indice +"']").each(function(){ colCampoDetail.push($(this).val()); });
					$("input[name='colLegend"+ indice +"']").each(function(){ colNomeDetail.push($(this).val()); }); 
					$("input[name='colFunction"+ indice +"']").each(function(){ colFuncaoDetail.push($(this).val()); });
					$("input[name='colOperador"+ indice +"']").each(function(){ colOperadorDetail.push($(this).val()); });
					$("input[name='colOrdenar"+ indice +"']").each(function(){ if($(this).val() == 'N') colOrdenarDetail.push('N'); else colOrdenarDetail.push('S'); });
					
					$("input[name='colTypeColumn"+ indice +"']").each(function(){ colTypeColumnDetail.push($(this).val()); });
					$("input[name='colTypeData"+ indice +"']").each(function(){ colTypeDataDetail.push($(this).val()); });
					$("input[name='colFormula"+ indice +"']").each(function(){ colFormulaDetail.push($(this).val()); });
				}
				else
				{
					/* TABELA */
					$("input[name='groupTable']").each(function(){ groupTable.push($(this).val()); });
					$("input[name='groupField']").each(function(){ groupCampo.push($(this).val()); });
					$("input[name='groupLegend']").each(function(){ groupNome.push($(this).val()); });
					$("input[name='groupTipo']").each(function(){ groupTipo.push($(this).val()); });
					$("input[name='groupOperador']").each(function(){ groupOperador.push($(this).val()); });
					
					$("input[name='colTable']").each(function(){ colTable.push($(this).val()); });
					$("input[name='colField']").each(function(){ colCampo.push($(this).val()); });
					$("input[name='colLegend']").each(function(){ colNome.push($(this).val()); });
					$("input[name='colFunction']").each(function(){ colFuncao.push($(this).val()); });
					$("input[name='colOperador']").each(function(){ colOperador.push($(this).val()); });
					$("input[name='colOrdenar']").each(function(){ if($(this).val() == 'N') colOrdenar.push('N'); else colOrdenar.push('S'); });
					
					$("input[name='colTypeColumn']").each(function(){ colTypeColumn.push($(this).val()); });
					$("input[name='colTypeData']").each(function(){ colTypeData.push($(this).val()); });
					$("input[name='colFormula']").each(function(){ colFormula.push($(this).val()); });
				}
				
				/* GRAFICO */
				var campoGrafico1 	= $("#graficoCampo").val();
				var tituloGrafico1 	= $("#graficoLegendaCampo").val();
				var tituloGrafico2 	= $("#graficoLegendaValor").val();
				
				// Exibir total e porcentagem nos gráficos
				var mostrarTotal = ($("#mostrarTotal").length > 0) ? $("#mostrarTotal").val() : '';
				var mostrarPorcentagem = ($("#mostrarPorcentagem").length > 0) ? $("#mostrarPorcentagem").val() : '';
				
				// Inicializando
				var acampoGrafico   = new Array();
				var asumarioGrafico = new Array();
				var legendaGrafico  = new Array();
				var campoGrafico2 	= "";
				var campoGrafico3 	= "";
				var sumarioGrafico 	= "";
				var operadorGrafico = $("#colOperador").val();
				var nomeValor		= "";
				
				// Pizza ou Rosca
				var donut = '0';
				if(tipo == 'P') donut = $("#donut").val();
				
				// Velocimetro
				var faixas = new Array();
				faixas.push($("#inputValor1").val());
				faixas.push($("#inputValor2").val());
				faixas.push($("#inputValor3").val());

				// Orientação do Grafico - Vertical ou Horizontal
				var tipoGrafico	= $("input[name='tipoGrafico']:radio:checked").val();
				
				if(tipoGrafico == 'V' || tipo == 'V')
				{
					campoGrafico2 	= $("#graficoCampo2").val();
					campoGrafico3 	= $("#graficoValor").val();
					sumarioGrafico 	= $("#graficoSumario").val();

					nomeValor = $("#graficoValor option:selected").text();
				}
				else if(tipoGrafico == 'H')
				{
					if(tipo == 'L') campoGrafico2 = $("#graficoCampo2").val();

					$("input[name='legendaGraficoHorizontal']").each(function(){ legendaGrafico.push($(this).val()); });
					$("input[name='campoGraficoHorizontal']").each(function(){ acampoGrafico.push($(this).val()); });
					$("input[name='funcaoGraficoHorizontal']").each(function(){ asumarioGrafico.push($(this).val()); });
				}

				/* ** Dados da aba "Filtros" ** */
				var	filtroCampo = new Array();
				var	filtroTable = new Array();	
				$(".fielFiltros select[name='filtroCampos']").each(function(){ 
					var valor = $(this).val(); 
					var arrayQuebra = valor.split(","); 
					var arrayValor = new Array();
					arrayValor[0] = arrayQuebra[0];
					arrayQuebra.splice(0, 1);
					arrayValor[1] = arrayQuebra.join();

					if(valor != '') 
					{ 
						filtroTable.push(arrayValor[0]); 
						filtroCampo.push(arrayValor[1]); 
					}
				});
				var	filtroCampoID = new Array();
				var	filtroOpcao = new Array(); 
				$(".fielFiltros select[name='opcao']").each(function(){ filtroOpcao.push($(this).val()); filtroCampoID.push(this.id); });
				var	filtroValor1 = new Array(); 
				$(".fielFiltros input[name='valorFiltro1']").each(function(){ filtroValor1.push($(this).val()); });
				var	filtroValor2 = new Array(); 
				$(".fielFiltros input[name='valorFiltro2']").each(function(){ filtroValor2.push($(this).val()); });
				var	filtroBloqueio = new Array(); 
				$(".fielFiltros .ckeckboxBloqueio").each(function(){ if($.trim($(this).parent().prev().prev().prev().html()) != '') filtroBloqueio.push($(this).val()); });
				
				var kkCont, aid;
				for(kkCont = 0; kkCont < filtroOpcao.length; kkCont++) 
				{
					if(filtroOpcao[kkCont] == 'selecionar' || filtroOpcao[kkCont] == 'filtrar') 
					{
						aid = filtroCampoID[kkCont].split("_");			
						filtroValor1[kkCont] = $("#inputSelect_" + aid[1]).val();
						filtroValor2[kkCont] = '';
					}
				}

				// Dados da aba "Filtros" Detail
				var	filtroCampoDetail = new Array();
				var	filtroTableDetail = new Array();	
				var	filtroOpcaoDetail = new Array(); 
				var	filtroValorDetail1 = new Array();
				var	filtroValorDetail2 = new Array();
				var filtroCampoIDDetail = new Array();
				var	filtroBloqueioDetail = new Array();
				if(tipo == 'D')
				{
					$(".fielFiltrosDetail select[name='filtroCamposDetail']").each(function(){ 
						var valor = $(this).val(); 
						var arrayQuebra = valor.split(","); 
						var arrayValor = new Array();
						arrayValor[0] = arrayQuebra[0];
						arrayQuebra.splice(0, 1);
						arrayValor[1] = arrayQuebra.join();
						
						if(valor != '') 
						{ 
							filtroTableDetail.push(arrayValor[0]); 
							filtroCampoDetail.push(arrayValor[1]); 
						}
					});
					$(".fielFiltrosDetail select[name='opcao']").each(function(){ filtroOpcaoDetail.push($(this).val()); filtroCampoIDDetail.push(this.id); });
					$(".fielFiltrosDetail input[name='valorFiltro1']").each(function(){ filtroValorDetail1.push($(this).val()); });
					$(".fielFiltrosDetail input[name='valorFiltro2']").each(function(){ filtroValorDetail2.push($(this).val()); });
					$(".fielFiltrosDetail .ckeckboxBloqueioDetail").each(function(){ if($.trim($(this).parent().prev().prev().prev().html()) != '') filtroBloqueioDetail.push($(this).val()); });
					
					for(kkCont=0; kkCont < filtroOpcaoDetail.length; kkCont++) 
					{
						if(filtroOpcaoDetail[kkCont] == 'selecionar' || filtroOpcaoDetail[kkCont] == 'filtrar') 
						{
							aid = filtroCampoIDDetail[kkCont].split("_");			
							filtroValorDetail1[kkCont] = $("#inputSelectDetail_" + aid[1]).val();
							filtroValorDetail2[kkCont] = '';
						}
					}
				}				

				// Vinculação dos Relatórios
				var dados 			 = $.trim($("#vinculoRelatorio").val());
				var	vinculoCampos 	 = new Array();
				var	vinculoOpcao 	 = new Array();
				var	inputVinculo1 	 = new Array();
				var	inputVinculo2 	 = new Array();
				var relatorioVinculo = '0';
				var urlVinculo 		 = '';
				
				// Filtros do Vinculo
				var tipoVinculoFiltros = 'N';
				var camposRelatorioPai = new Array();
				var camposRelatorioVinculo = new Array();
				
				// Vinculos	
				if(dados != '') 
				{
					if(dados == 'url')
					{
						urlVinculo = $.trim($("#urlVinculo").val());
					}
					else
					{
						var array = dados.split(",");
						var relatorioVinculo = array[1];
						
						$("select[name='vinculoCampos']").each(function(){ if($(this).val() != '') { vinculoCampos.push($(this).val()); }});
						$("select[name='vinculoOpcao']").each(function(){ vinculoOpcao.push($(this).val()); });
						$("input[name='inputVinculo1']").each(function(){ inputVinculo1.push($(this).val()); });
						$("input[name='inputVinculo2']").each(function(){ inputVinculo2.push($(this).val()); });
						
						var tipoVinculoFiltros = $("input[name='opcaoFiltro']:radio:checked").val();

						if(tipoVinculoFiltros == 'P')
						{
							$("select[name='vinculoFiltroRelatorio']").each(function(){ camposRelatorioPai.push($(this).val()); });
							$("select[name='vinculoFiltroVinculado']").each(function(){ camposRelatorioVinculo.push($(this).val()); });
						}
					}
				} 
					
				$("#btnCancelar").after('<span id="pesquisando"> <img src="' + basepath + 'www/imagem/loading.gif" align="absmiddle" /> Gravando, Por favor aguarde... </span>');
				
				$.post(basepath + "principal/saveReport", {
					nome 			 		   : nome,
					descricao  		 		   : descricao,
					tabela			 		   : tabela,
					tipo			 		   : tipo,
					tipoGrafico		 		   : tipoGrafico,
					nomeValor				   : nomeValor,
					refresh			 		   : refresh,
					borda					   : borda,
					grupo					   : grupo,
					subrelatorio			   : subreport,
					visivel					   : visivel,
					stringOrdem 			   : stringOrdem,
					ordemColunas			   : ordemColunas,
					ordem					   : ordem,
					stringOrdemDetail 		   : stringOrdemDetail,
					ordemColunasDetail		   : ordemColunasDetail,
					ordemDetail				   : ordemDetail,
					'groupArray[]'			   : groupArray,
					'usersArray[]'			   : usersArray,
					'groupTable[]'	 		   : groupTable,
					'groupCampo[]' 	 		   : groupCampo,
					'groupNome[]' 	 		   : groupNome,
					'groupTipo[]' 	 		   : groupTipo,
					'groupOperador[]' 		   : groupOperador,
					'colTable[]'	 		   : colTable,		
					'colCampo[]' 	 		   : colCampo,
					'colNome[]' 	 		   : colNome,
					'colFuncao[]' 	 		   : colFuncao,
					'colOperador[]' 		   : colOperador,
					'colOrdenar[]'			   : colOrdenar,
					'colTypeColumn[]'		   : colTypeColumn,
					'colTypeData[]'			   : colTypeData, 
					'colFormula[]'	 		   : colFormula,
					'filtroTable[]'  		   : filtroTable,
					'filtroCampo[]'  		   : filtroCampo,
					'filtroOpcao[]'  		   : filtroOpcao,
					'filtroValor1[]' 		   : filtroValor1,
					'filtroValor2[]' 		   : filtroValor2,
					'filtroBloqueio[]'		   : filtroBloqueio,
					'filtroTableDetail[]'  	   : filtroTableDetail,
					'filtroCampoDetail[]'  	   : filtroCampoDetail,
					'filtroOpcaoDetail[]'  	   : filtroOpcaoDetail,
					'filtroValorDetail1[]' 	   : filtroValorDetail1,
					'filtroValorDetail2[]' 	   : filtroValorDetail2,
					'filtroBloqueioDetail[]'   : filtroBloqueioDetail,
					'legendaGrafico[]'  	   : legendaGrafico,
					'acampoGrafico[]'   	   : acampoGrafico,
					'asumarioGrafico[]' 	   : asumarioGrafico,
					campoGrafico1	 		   : campoGrafico1,
					campoGrafico2    		   : campoGrafico2,
					tituloGrafico1	 		   : tituloGrafico1,
					campoGrafico3    		   : campoGrafico3,
					sumarioGrafico   		   : sumarioGrafico,
					operadorGrafico			   : operadorGrafico,
					tituloGrafico2   		   : tituloGrafico2,
					mostrarTotal			   : mostrarTotal,
					mostrarPorcentagem		   : mostrarPorcentagem,
					tabelaDetail	 		   : tabelaDetail,
					camposDetail     		   : camposDetail,
					'groupTableDetail[]'	   : groupTableDetail,
					'groupCampoDetail[]'	   : groupCampoDetail,
					'groupNomeDetail[]' 	   : groupNomeDetail,
					'groupTipoDetail[]' 	   : groupTipoDetail,
					'groupOperadorDetail[]'    : groupOperadorDetail,
					'colTableDetail[]'  	   : colTableDetail,
					'colCampoDetail[]'  	   : colCampoDetail,
					'colNomeDetail[]'   	   : colNomeDetail, 
					'colFuncaoDetail[]' 	   : colFuncaoDetail,
					'colOperadorDetail[]'      : colOperadorDetail,
					'colOrdenarDetail[]'       : colOrdenarDetail,
					'colTypeColumnDetail[]'	   : colTypeColumnDetail,
					'colTypeDataDetail[]'	   : colTypeDataDetail, 
					'colFormulaDetail[]'	   : colFormulaDetail,
					relatorioVinculo		   : relatorioVinculo,
					urlVinculo				   : urlVinculo,
					tipoVinculoFiltros		   : tipoVinculoFiltros,
					'camposRelatorioPai[]'     : camposRelatorioPai,
					'camposRelatorioVinculo[]' : camposRelatorioVinculo,
					'vinculoCampos[]'   	   : vinculoCampos,
					'vinculoOpcao[]'    	   : vinculoOpcao,
					'inputVinculo1[]'   	   : inputVinculo1,
					'inputVinculo2[]'   	   : inputVinculo2,
					'faixas[]'				   : faixas,
					donut					   : donut,
					'calcNome[]'			   : calcNome,
					'calcFormula[]'			   : calcFormula,
					'calcTipoData[]'		   : calcTipoData,
					'calcIndice[]'			   : calcIndice,
					'calcNomeDetail[]'		   : calcNomeDetail,
					'calcFormulaDetail[]'	   : calcFormulaDetail,
					'calcTipoDataDetail[]'	   : calcTipoDataDetail,
					'calcIndiceDetail[]'	   : calcIndiceDetail
				}, function(data){
					if(data == 1) {
						jAlert("Relatório aprovado com sucesso.", 'Alerta!', function(){ window.location.href = basepath + 'principal/relatorios'; });
					} else {
						jAlert("Não foi possível realizar a gravação do reletório!", 'Alerta!');
					}
					
					$("#pesquisando").remove();
				});
			} 
			else
			{
				window.location.href = basepath + 'principal/' + logado;
			}
		});
}

function previewChartX1(id)
{
	var texto = $.trim( $("#" + id + " option:selected").text() );
	
	if(texto != '')
		$("#valueChart1").html(texto);
	else
		$("#valueChart1").html("...");
	
	var tabela = $("#tabela").val();
	var campo = $.trim( $("#" + id).val() );
	
	if(campo == '')
	{
		$("#spanOperadores").html('');
	}
	else
	{
		$.post(basepath + "principal/comboOperadores", {
			tabela : tabela,
			campo : campo
		}, function(data){
			$("#spanOperadores").html(data);
			
			$(".erroCriar").remove();
		});
	}
}

function previewChartX2(id)
{
	var texto = $.trim( $("#" + id + " option:selected").text() );
	
	if(texto != '')
		$("#valueChart2").html(texto);
	else
		$("#valueChart2").html("...");
}

function previewChartY(id)
{
	var valor = $.trim( $("#" + id).val() );
	
	var texto = $.trim( $("#" + id + " option:selected").text() );
	
	if(valor != '')
	{
		$.post(basepath + "principal/montaSumarioGrafico", {
			tabela : $("#tabela").val(),
			valor : valor
		}, function(data){
			$("#graficoSumario option").remove();
			$("#graficoSumario").append(data);

			$("#valueChart3").html(texto);
			
			$("#graficoSumario").removeAttr('disabled');
		});
	}
	else
	{
		$("#valueChart3").html("...");
		
		$("#graficoSumario option").remove();
		$("#graficoSumario").append('<option value="">&nbsp;</option>');
		$("#graficoSumario").attr('disabled', true);
	}
}

function previewChartY2(id)
{
	var texto = $.trim( $("#" + id + " option:selected").text() );
	
	if(texto != '')
		$("#valueChart1").html(texto);
	else
		$("#valueChart1").html("...");
		
	var tabela = $("#tabela").val();
	var campo = $.trim( $("#" + id).val() );
	
	if(campo == '')
	{
		$("#spanOperadores").html('');
	}
	else
	{
		$.post(basepath + "principal/comboOperadores", {
			tabela : tabela,
			campo : campo
		}, function(data){
			$("#spanOperadores").html(data);
			
			$(".erroCriar").remove();
		});
	}
}

function previewChartFatia(id)
{
	var texto = $.trim( $("#" + id + " option:selected").text() );
	
	if(texto != '')
		$("#valueChart1").html(texto);
	else
		$("#valueChart1").html("...");
		
	var tabela = $("#tabela").val();
	var campo = $.trim( $("#" + id).val() );

	if(campo == '')
	{
		$("#spanOperadores").html('');
	}
	else
	{
		$.post(basepath + "principal/comboOperadores", {
			tabela : tabela,
			campo : campo
		}, function(data){
			$("#spanOperadores").html(data);
			
			$(".erroCriar").remove();
		});
	}
}

function previewChartValor(id)
{
	var valor = $.trim( $("#" + id).val() );
	
	var texto = $.trim( $("#" + id + " option:selected").text() );
	
	if(valor != '')
	{
		$.post(basepath + "principal/montaSumarioGrafico", {
			tabela : $("#tabela").val(),
			valor : valor
		}, function(data){
			$("#graficoSumario option").remove();
			$("#graficoSumario").append(data);

			$("#valueChart2").html(texto);
			
			$("#graficoSumario").removeAttr('disabled');
		});
	}
	else
	{
		$("#valueChart2").html("...");

		$("#graficoSumario option").remove();
		$("#graficoSumario").append('<option value="">&nbsp;</option>');
		$("#graficoSumario").attr('disabled', true);
	}
}

/* HABILITA O COMPO CASO SELECIONE 'ENTRE' */
function mostraInputNumero(id, detail)
{
	var relatorio = $("#relatorioid").val();
	var valor 	  = $("#"+id).val();
	var aidcampo  = id.split("_");
	var idcampo   = aidcampo[1];
	
	if(detail == 2)
	{
		var nomeCampo = "#inputSelectDetail_" + idcampo;
		var tabela = $("#tabelaDetail").val();
		
		if(idcampo != "0") {
			var valorcampo = $("#filtroCamposDetail_" + idcampo).val();
		} else {
			var valorcampo = $("#filtroCamposDetail").val();
		}
	}
	else
	{
		var nomeCampo = "#inputSelect_" + idcampo;
		var tabela = $("#tabela").val();
		
		if(idcampo != "0") {
			var valorcampo = $("#filtroCampos_" + idcampo).val();
		} else {
			var valorcampo = $("#filtroCampos").val();
		}
	}

	if(valor == "filtrar" || valor == "selecionar") {
		$(nomeCampo).multiselect("destroy"); 
		$("#"+id).next().hide();
		$("#"+id).next().next().hide();
		$("#"+id).next().next().next().hide();
		$("#"+id).next().next().next().val("");
		
		var tipo = (valor == "filtrar") ? 1 : 2;
		
		$.post(basepath + "principal/montaOpcoesSelecionar", {
			relatorio : relatorio,
			detail : detail,
			tipo : tipo,
			tabela : tabela,
			campo : valorcampo
		}, function(data){
			$(nomeCampo).html(data);					
			$(nomeCampo).multiselect({ checkAllText : "Todos", uncheckAllText : "Nenhum", selectedText: "# Selecionado (s)", noneSelectedText : "Selecionar" });	
			$(nomeCampo).multiselect("refresh");	
		});				
	} else if(valor == "entre") {
		$(nomeCampo).multiselect("destroy");
		$("#"+id).next().hide();
		$("#"+id).next().next().show();
		$("#"+id).next().next().next().show();
	} else {
		$(nomeCampo).multiselect("destroy");
		$("#"+id).next().hide();
		$("#"+id).next().next().show();
		$("#"+id).next().next().next().hide();
		$("#"+id).next().next().next().val("");
	}
}

/* Quando for campo texto */
function mostraInputTexto(id, detail)
{
	var relatorio = $("#relatorioid").val();
	var valor 	  = $("#" + id).val();
	var aidcampo  = id.split("_");
	var idcampo   = aidcampo[1];
	
	if(detail == 2)
	{
		var nomeCampo = "#inputSelectDetail_" + idcampo;
		var tabela = $("#tabelaDetail").val();
		
		if(idcampo != "0") {
			var valorcampo = $("#filtroCamposDetail_" + idcampo).val();
		} else {
			var valorcampo = $("#filtroCamposDetail").val();
		}
	}
	else
	{
		var nomeCampo = "#inputSelect_" + idcampo;
		var tabela = $("#tabela").val();
		
		if(idcampo != "0") {
			var valorcampo = $("#filtroCampos_" + idcampo).val();
		} else {
			var valorcampo = $("#filtroCampos").val();
		}
	}
	
	if(valor == "filtrar" || valor == "selecionar") {
		$(nomeCampo).multiselect("destroy");
		$("#"+id).next().hide();
		$("#"+id).next().next().hide();
		
		var tipo = (valor == "filtrar") ? 1 : 2;
		
		$.post(basepath + "principal/montaOpcoesSelecionar", {
			relatorio : relatorio,
			detail : detail,
			tipo : tipo,
			tabela : tabela,
			campo : valorcampo
		}, function(data){
			$(nomeCampo).html(data);					
			$(nomeCampo).multiselect({ checkAllText : "Todos", uncheckAllText : "Nenhum", selectedText: "# Selecionado (s)", noneSelectedText : "Selecionar" });	
			$(nomeCampo).multiselect("refresh");
		});		
	} else {
		$(nomeCampo).multiselect("destroy");
		$("#" + id).next().hide();
		$("#" + id).next().next().show();
	}
}

/* DESABILITA O COMPO DE DATA */
function mostraInputData(id)
{
	var valor = $("#"+id).val();
	
	if(valor == 'igual') {
		$("#"+id).next("input").removeAttr("disabled");
		$("#"+id).next().next().val("");
		$("#"+id).next().next().hide();
	} else if(valor == 'entre') {
		$("#"+id).next("input").removeAttr("disabled");
		$("#"+id).next().next().show();
	} else {
		$("#"+id).next("input").attr("disabled", true);
		$("#"+id).next("input").val("");
		$("#"+id).next().next().val("");
		$("#"+id).next().next().hide();
	}
}

function descricaoTabela()
{
	var dados = $("#tabela").val();	
	var banco = '';
	var tabela = '';
	
	if(dados != '')
	{
		var array = dados.split(',');
		banco = array[0];
		tabela = array[1];
	}

	if(banco != 3)
	{
		$.post(basepath + "principal/descricaoTabela", {
			banco : banco,
			tabela : tabela
		}, function(data){
			$("#tabelaDescricao").html(data);
			
			if(data != '')
				$("#iconeDescricao").fadeIn('slow');
			else
				$("#iconeDescricao").fadeOut('fast');
		});
	}
	else
	{
		$("#tabelaDescricao").html('');
		$("#iconeDescricao").fadeOut('fast');
		return false;
	}
}

/* VERIFICA QUAL TABELA ESTA SELECIONADA */
function tableInit()
{
	var tabela = $("#tabela").val();
	
	$.post(basepath + "principal/tableInit", {
		tabela : tabela
	}, function(data){
		$("select[name='filtroCampos'] option").remove();
		$("select[name='filtroCampos'] optgroup").remove();
		$("select[name='filtroCampos']").append(data);	
		
		$("#filtroCampos").multiselect({ multiple: false, header: false, selectedList: 1, minWidth: "auto", classes: 'multiselect-filtros multiselect-menu-filtros' });
		$("#filtroCampos").multiselect('refresh');
		$(".tipTip").tipTip({maxWidth: "auto", edgeOffset: 30, defaultPosition: "right"});
		
		mostraTipoRelatorio();
		
		removerAll();
		
		montarColunasCamposCalculados(tabela, 1);
	});
}

/* MONTA O HTML COM OS CAMPOS */
function montarColunasCamposCalculados(tabela, master)
{
	$.post(basepath + "principal/colunasCamposCalculados", { 
		tabela : tabela,
		master : master
	}, function(data){
		if(master == 1)
			$('#menuBotaoDireitoMaster').html(data);
		else
			$('#menuBotaoDireitoDetail').html(data);
	});
}

/* VERIFICA QUAL TABELA DETAIL ESTA SELECIONADA */
function tableInitDetail()
{
	$("#tituloTabelaMaster, #tdFiltrosTabelaMaster").show();
	
	// ABAS Filtros
	$("#divAbaMaster").removeClass('divAbaMaster');
	$("#ulAbasMasterDetail").show();
	$("#divAbaMaster").show();
	$("#divAbaDetail").hide();
	
	// ABAS Campos Calculados
	$("#divCamposCalculadosMaster").removeClass('divAbaMaster');
	$("#ulCamposCalculadosMasterDetail").show();
	$("#divCamposCalculadosMaster").show();
	$("#divCamposCalculadosDetail").hide();
	
	var tabela = $("#tabelaDetail").val();
	
	$.post(basepath + "principal/tableInit", {
		tabela : tabela
	}, function(data){
		$("select[name='filtroCamposDetail'] option").remove();
		$("select[name='filtroCamposDetail'] optgroup").remove();
		$("select[name='filtroCamposDetail']").append(data);
		
		$("#filtroCamposDetail").multiselect({ multiple: false, header: false, selectedList: 1, minWidth: "auto", classes: 'multiselect-filtros multiselect-menu-filtros' });
		$("#filtroCamposDetail").multiselect('refresh');
		$(".tipTip").tipTip({maxWidth: "auto", edgeOffset: 30, defaultPosition: "right"});	

		$(".fielFiltrosDetail:not(:first)").remove();
		$(".resultFiltroDetail").html("");
		$(".btnDivDelDetail").html("");
		$('.btnDivAddDetail:last').html(imgAdicionarDetail);

		montarColunasCamposCalculados(tabela, 2);
		
		trocarAbaCampoCalculado(0);
		
		// CAMPOS CALCULADOS
		$(".tbListaCampoCalculado2 tr:not(.trCamposCalculadosLista)").remove();
		$(".tbListaCampoCalculado2").hide();
	});
}

// HTML DAS IMAGENS
var imgAdicionar = '<img src="' + basepath + 'www/imagem/adicionar.png" align="absmiddle" class="opacityImgAdd" onClick="adicionarFiltro()" title="Adicionar Filtro" alt="Adicionar Filtro" />';
var imgRemover = '<img src="' + basepath + 'www/imagem/remover.png" align="absmiddle" class="opacityImgDel" onClick="removerFiltro()" title="Remover Filtro" alt="Remover Filtro" />';

/* BUSCA OS CAMPOS CONFORME DADOS SELECIONADOS */
function buscaDadosFiltro(id)
{
	var valorCampo = $("#" + id).val();
	
	if(valorCampo != '')
	{
		var quebra = valorCampo.split(',');
		
		if($.trim(quebra[0]) == 0)
		{
			var dados = quebra[1].split(':');
			var tipoColuna = dados[0];
			
			$.post(basepath + "principal/buscaDadosFiltroCampoCalculado", {
				tipo : 1,
				tipoColuna : tipoColuna
			}, function(data){
				// MONTA AS OPCOES DO FILTRO //
				campospam = $("#" + id).next().next();
				campospam.html(data);
				
				// NUMERO //
				$(".opcaoTime").mask("99:99:99");
				$('.opcaoInt').keypress(function(e) {
					var c = String.fromCharCode(e.which);
					var allowed = '1234567890';
					if (e.which != 8 && allowed.indexOf(c) < 0) return false;
				});
				
				$('.opcaoFloat').keypress(function(e) {
					var c = String.fromCharCode(e.which);
					var allowed = '1234567890.,';
					if (e.which != 8 && allowed.indexOf(c) < 0) return false;
				});
				
				// DATA //
				$(".opcaoData").mask("99/99/9999");
				
				var aidcampo = id.split("_");
				if(aidcampo.length > 1)
				  var idcampo =  aidcampo[1];
				else
				  var idcampo =  0;			
				  
				campospam.children("select[name='opcao']").attr("id", "opcao_" + idcampo);
				
				$('.btnDivDel:first').html(imgRemover);
				
				$('.opacityImgDel:first').click(removerFiltro);
			});
		}
		else
		{
			$.post(basepath + "principal/buscaDadosFiltro", {
				tipo : 1,
				tabela : $("#tabela").val(),
				campo : valorCampo
			}, function(data){
				// MONTA AS OPCOES DO FILTRO //
				campospam = $("#" + id).next().next();
				campospam.html(data);
				
				// NUMERO //
				$(".opcaoTime").mask("99:99:99");
				$('.opcaoInt').keypress(function(e) {
					var c = String.fromCharCode(e.which);
					var allowed = '1234567890';
					if (e.which != 8 && allowed.indexOf(c) < 0) return false;
				});
				
				$('.opcaoFloat').keypress(function(e) {
					var c = String.fromCharCode(e.which);
					var allowed = '1234567890.,';
					if (e.which != 8 && allowed.indexOf(c) < 0) return false;
				});
				
				// DATA //
				$(".opcaoData").mask("99/99/9999");
				
				var aidcampo = id.split("_");
				if(aidcampo.length > 1)
				  var idcampo =  aidcampo[1];
				else
				  var idcampo =  0;			
				  
				campospam.children("select[name='opcao']").attr("id", "opcao_" + idcampo);
				campospam.children("select[name='inputSelect']").attr("id", "inputSelect_" + idcampo);
				
				$('.btnDivDel:first').html(imgRemover);
				
				$('.opacityImgDel:first').click(removerFiltro);
			});
		}
	}
	else
	{
		$("#" + id).next().next().html("");
		
		return false;
	}
}

// HTML DAS IMAGENS
var imgAdicionarDetail = '<img src="' + basepath + 'www/imagem/adicionar.png" align="absmiddle" class="opacityImgAddDetail" onClick="adicionarFiltroDetail()" title="Adicionar Filtro" alt="Adicionar Filtro" />';
var imgRemoverDetail = '<img src="' + basepath + 'www/imagem/remover.png" align="absmiddle" class="opacityImgDelDetail" onClick="removerFiltroDetail()" title="Remover Filtro" alt="Remover Filtro" />';

/* BUSCA OS CAMPOS CONFORME DADOS SELECIONADOS NA DETAIL */
function buscaDadosFiltroDetail(id)
{
	var valorCampo = $("#" + id).val();
	
	if(valorCampo != '')
	{
		var quebra = valorCampo.split(',');
		
		if($.trim(quebra[0]) == 0)
		{
			var dados = quebra[1].split(':');
			var tipoColuna = dados[0];
			
			$.post(basepath + "principal/buscaDadosFiltroCampoCalculado", {
				tipo : 2,
				tipoColuna : tipoColuna
			}, function(data){
				// MONTA AS OPCOES DO FILTRO //
				campospam = $("#" + id).next().next();
				campospam.html(data);
				
				// NUMERO //
				$(".opcaoTime").mask("99:99:99");
				$('.opcaoInt').keypress(function(e) {
					var c = String.fromCharCode(e.which);
					var allowed = '1234567890';
					if (e.which != 8 && allowed.indexOf(c) < 0) return false;
				});
				
				$('.opcaoFloat').keypress(function(e) {
					var c = String.fromCharCode(e.which);
					var allowed = '1234567890.,';
					if (e.which != 8 && allowed.indexOf(c) < 0) return false;
				});
				
				// DATA //
				$(".opcaoData").mask("99/99/9999");
				
				var aidcampo = id.split("_");
				if(aidcampo.length > 1)
				  var idcampo = aidcampo[1];
				else
				  var idcampo = 0;
				  
				campospam.children("select[name='opcao']").attr("id", "opcaoDetail_" + idcampo);
				
				$('.btnDivDelDetail:first').html(imgRemoverDetail);
				
				$('.opacityImgDelDetail:first').click(removerFiltroDetail);
			});
		}
		else
		{
			$.post(basepath + "principal/buscaDadosFiltro", {
				tipo : 2,
				tabela : $("#tabelaDetail").val(),
				campo : valorCampo
			}, function(data){
				// MONTA AS OPCOES DO FILTRO //
				campospam = $("#" + id).next().next();
				campospam.html(data);
				
				// NUMERO //
				$(".opcaoTime").mask("99:99:99");
				$('.opcaoInt').keypress(function(e) {
					var c = String.fromCharCode(e.which);
					var allowed = '1234567890';
					if (e.which != 8 && allowed.indexOf(c) < 0) return false;
				});
				
				$('.opcaoFloat').keypress(function(e) {
					var c = String.fromCharCode(e.which);
					var allowed = '1234567890.,';
					if (e.which != 8 && allowed.indexOf(c) < 0) return false;
				});
				
				// DATA //
				$(".opcaoData").mask("99/99/9999");
				
				var aidcampo = id.split("_");
				if(aidcampo.length > 1)
				  var idcampo =  aidcampo[1];
				else
				  var idcampo =  0;
				  
				campospam.children("select[name='opcao']").attr("id", "opcaoDetail_" + idcampo);
				campospam.children("select[name='inputSelect']").attr("id", "inputSelectDetail_" + idcampo);
				
				$('.btnDivDelDetail:first').html(imgRemoverDetail);
				
				$('.opacityImgDelDetail:first').click(removerFiltroDetail);
			});
		}
	}
	else
	{
		$("#" + id).next().next().html("");
		
		return false;
	}
}

/* REMOVE O FILTRO */
function removerFiltro()
{
	var qtdFiltros = 0;
	$(".fielFiltros").each(function() { qtdFiltros++; }); 

	if (qtdFiltros > 1) 
	{
		$(this).parent().parent().remove();
		$('.btnDivAdd').html("");
		$('.btnDivAdd:last').html(imgAdicionar);
	} 
	else 
	{
		filtroID = 0;		
		$(".fielFiltros .resultFiltro").html("");
		$(".btnDivDel").html("");
		$(".fielFiltros select[name='filtroCampos'] option:first").attr("selected", "selected");
		$(".fielFiltros select[name='filtroCampos']").attr("id", "filtroCampos");
		
		refreshBloquearFiltro();
	}
	
	$("select").multiselect('refresh');
}

/* ADICIONA UM NOVO FILTRO */
function adicionarFiltro()
{
	// Elimita script de multiselect pois o clone executa o script e da problema nos hide e show
	$('.divscript').html('');	

	// CLONE 
	$('.fielFiltros:first').clone().insertAfter('.fielFiltros:last');
	$('.fielFiltros:last').children("button").remove();
	$('.resultFiltro:last').html("");
	$("select[name='filtroCampos']:last option:first").attr('selected', true); 
	
	filtroID++;
	$("select[name='filtroCampos']:last").attr("id", "filtroCampos_" + filtroID);
	
	$("#filtroCampos_" + filtroID).multiselect({ multiple: false, header: false, selectedList: 1, minWidth: "auto" });
	$("#filtroCampos_" + filtroID).multiselect('refresh');
	$(".tipTip").tipTip({maxWidth: "auto", edgeOffset: 30, defaultPosition: "right"});	
	
	$('.btnDivAdd').html("");
	$('.btnDivAdd:last').html(imgAdicionar);
	$('.btnDivDel').html(imgRemover);
	
	$('.opacityImgDel').click(removerFiltro);
	
	refreshBloquearFiltro();
}

/* REMOVE O FILTRO DETAIL */
function removerFiltroDetail()
{
	var qtdFiltros = 0;
	$(".fielFiltrosDetail").each(function() { qtdFiltros++; }); 

	if (qtdFiltros > 1) 
	{
		$(this).parent().parent().remove();
		$('.btnDivAddDetail').html("");
		$('.btnDivAddDetail:last').html(imgAdicionarDetail);
	} 
	else 
	{
		filtroDetailID = 0;
		$(".fielFiltrosDetail .resultFiltroDetail").html("");
		$(".btnDivDelDetail").html("");
		$(".fielFiltrosDetail select[name='filtroCamposDetail'] option:first").attr("selected", "selected");
		$(".fielFiltrosDetail select[name='filtroCamposDetail']").attr("id", "filtroCamposDetail");
		
		refreshBloquearFiltroDetail();
	}
	
	$("select").multiselect('refresh');
}

/* ADICIONA UM NOVO FILTRO DETAIl */
function adicionarFiltroDetail()
{
	// Elimita script de multiselect pois o clone executa o script e da problema nos hide e show
	$('.divscript').html('');	
	
	// CLONE 
	$('.fielFiltrosDetail:first').clone().insertAfter('.fielFiltrosDetail:last');
	$('.fielFiltrosDetail:last').children("button").remove();
	$('.resultFiltroDetail:last').html("");
	$("select[name='filtroCamposDetail']:last option:first").attr('selected', true); 
	
	filtroDetailID++;
	$("select[name='filtroCamposDetail']:last").attr("id", "filtroCamposDetail_" + filtroDetailID);
	
	$("#filtroCamposDetail_" + filtroDetailID).multiselect({ multiple: false, header: false, selectedList: 1, minWidth: "auto" });
	$("#filtroCamposDetail_" + filtroDetailID).multiselect('refresh');
	$(".tipTip").tipTip({maxWidth: "auto", edgeOffset: 30, defaultPosition: "right"});
	
	$('.btnDivAddDetail').html("");
	$('.btnDivAddDetail:last').html(imgAdicionarDetail);
	$('.btnDivDelDetail').html(imgRemoverDetail);
	
	$('.opacityImgDelDetail').click(removerFiltroDetail);
	
	refreshBloquearFiltroDetail();
}

/* ************************************************************************* *
						MOVIMENTACAO DAS ABAS
 * ************************************************************************* */
function proximo()
{
	var trocar = validaAba();
	
	if(trocar)
	{
		aba++;
		tabs.removeClass('in');
		$(tabs[aba]).addClass('in');
		
		divs.hide();
		$(divs[aba]).fadeIn('slow');

		verificaBtn();
	}
	else
	{
		return false;
	}
}

function anterior()
{
	aba--;
	tabs.removeClass('in');
	$(tabs[aba]).addClass('in');
	
	divs.hide();
	$(divs[aba]).fadeIn('slow');
	
	verificaBtn();
}

function cancelar()
{
	jConfirm("Deseja realmente limpar as definições?", 'Confirmação!', 
		function(r) {
			if (r == true) {	
				window.location.href = basepath + 'principal/criar';
			} else {
				return false;
			}
		});
}
				
function verificaBtn()
{
	if(aba == 0) {
		$("#btnAnterior").attr('disabled', true);
		$("#btnAnterior").removeClass('botao').addClass('botaoDisabled');
	} else {
		$("#btnAnterior").removeAttr('disabled');
		$("#btnAnterior").removeClass('botaoDisabled').addClass('botao');
	}

	if(aba == 6) {
		$("#btnProximo").hide();
		$("#btnGravar").show();
	} else {
		$("#btnProximo").show();
		$("#btnGravar").hide();
	}
}
/* ************************************************************************* *
					FIM	MOVIMENTACAO DAS ABAS
 * ************************************************************************* */

/* ************************************************************************* *
					MOVIMENTACAO DAS COLUNAS E DOS GRUPOS
 * ************************************************************************* */
 /* MOVE A COLUNA PARA A DIREITA */
function moveRight()
{
	// Pega o id da div selecionada
	var id = $('#compoSelected').val();
	
	// Verifica se e uma coluna
	var colArray = id.split('_');
	if(colArray[0] == 'col')
	{
		// Pega o conteudo da div selecionada
		var html = $("#" + id).html();
		
		// Pega o id da proxima div
		var nextId = $("#" + id).next('div').attr('id');
		
		// Verifica se a proxima div e uma coluna
		var colNextArray = nextId.split('_');
		if(colNextArray[0] == 'col')
		{
			// Remove a div
			$("#" + id).remove();
			
			// Cria outro div com o conteudo
			$("#" + nextId).after('<div class="selectedColumn" id="' + id + '"></div>');
			$("#" + id).html(html);
			
			// Evento jQuery
			$(".column").click(selectColumn);			
		}
	}
}

/* MOVE A COLUNA PARA A ESQUERDA */
function moveLeft()
{
	// Pega o id da div selecionada
	var id = $('#compoSelected').val();
	
	// Verifica se e uma coluna
	var colArray = id.split('_');
	if(colArray[0] == 'col')
	{
		// Pega o conteudo da div selecionada
		var html = $("#" + id).html();
		
		// Pega o id da div anterior
		var nextId = $("#" + id).prev('div').attr('id');
		
		// Verifica se a proxima div e uma coluna
		var colNextArray = nextId.split('_');
		if(colNextArray[0] == 'col')
		{
			// Remove a div
			$("#" + id).remove();
			
			// Cria outro div com o conteudo
			$("#" + nextId).before('<div class="selectedColumn" id="' + id + '"></div>');
			$("#" + id).html(html);
			
			// Evento jQuery
			$(".column").click(selectColumn);
		}
	}
}

/* MOVE O GRUPO PARA CIMA */
function moveUp()
{
	// Pega o id da div selecionada
	var id = $('#compoSelected').val();
	
	// Verifica se e uma coluna
	var groupArray = id.split('_');
	if(groupArray[0] == 'group')
	{
		// Pega o conteudo da div selecionada
		var html = $("#" + id).html();
		
		// Pega o id da div anterior
		var nextId = $("#" + id).prev('div').attr('id');
		
		// Verifica se a proxima div e um grupo
		var groupNextArray = nextId.split('_');
		if(groupNextArray[0] == 'group')
		{
			// Remove a div
			$("#" + id).remove();
			
			// Cria outro div com o conteudo
			$("#" + nextId).before('<div class="selectedGroup" id="' + id + '"></div>');
			$("#" + id).html(html);
			
			// Evento jQuery
			$(".group").click(selectGroup);
		}
	}
}

/* MOVE O GRUPO PARA BAIXO */
function moveDown()
{
	// Pega o id da div selecionada
	var id = $('#compoSelected').val();
	
	// Verifica se e uma coluna
	var groupArray = id.split('_');
	if(groupArray[0] == 'group')
	{
		// Pega o conteudo da div selecionada
		var html = $("#" + id).html();
		
		// Pega o id da div anterior
		var nextId = $("#" + id).next('div').attr('id');
		
		// Verifica se a proxima div e um grupo
		var groupNextArray = nextId.split('_');
		if(groupNextArray[0] == 'group')
		{
			// Remove a div
			$("#" + id).remove();
			
			// Cria outro div com o conteudo
			$("#" + nextId).after('<div class="selectedGroup" id="' + id + '"></div>');
			$("#" + id).html(html);
			
			// Evento jQuery
			$(".group").click(selectGroup);
		}
	}
}

/* SELECIONAR COLUNA */
function selectColumn()
{
	// Remove a seleção dos grupos e das colunas
	$('.selectedColumn').removeClass('selectedColumn').addClass('column');
	$('.selectedGroup').removeClass('selectedGroup').addClass('group');
	$('.selectedColumnShow').removeClass('selectedColumnShow').addClass('columnShow');
	
	// Seleciona a coluna
	$('#' + this.id).removeClass('column').addClass('selectedColumn');
	
	// Marca o id
	$('#compoSelected').val(this.id);
	
	// Evento jQuery
	$(".column").click(selectColumn);
}

/* SELECIONAR COLUNA MASTER - DETAIL */
function selectColumnMasterDetail()
{
	// Remove a seleção dos grupos e das colunas
	$('.selectedColumn').removeClass('selectedColumn').addClass('column');
	$('.selectedGroup').removeClass('selectedGroup').addClass('group');
	$('.selectedColumnShow').removeClass('selectedColumnShow').addClass('columnShow');
	
	// Seleciona a coluna
	$('#' + this.id).removeClass('columnShow').addClass('selectedColumnShow');
	
	// Marca o id
	$('#compoSelected').val(this.id);
	
	// Evento jQuery
	$(".columnShow").click(selectColumnMasterDetail);
}

/* SELECIONAR GRUPO */
function selectGroup()
{
	// Remove a seleção dos grupos e das colunas
	$('.selectedGroup').removeClass('selectedGroup').addClass('group');
	$('.selectedColumn').removeClass('selectedColumn').addClass('column');
	
	// Seleciona o grupo
	$('#' + this.id).removeClass('group').addClass('selectedGroup');
	
	// Marca o id
	$('#compoSelected').val(this.id);
	
	// Evento jQuery
	$(".group").click(selectGroup);
}

/* REMOVER COLUNA OU GRUPO */
function removerCampo(indice)
{
	if(typeof(indice) == 'undefined') indice = '';
	
	var id = $('#compoSelected').val();
	var novoArray = id.split('_');
	
	var divEmpty = '<div class="emptyGroup'+ indice +'"> </div>';

	if(novoArray[0] == 'group')
	{
		var empty = 0;
		$(".emptyGroup" + indice).each(function(){ empty++; });

		if(!$('#addGroup' + indice).is(':visible'))
			$('#addGroup' + indice).show();
		else if(empty == 0 || empty == 1)
			$('#addGroup' + indice).after(divEmpty);
			
		var agrupamento = 0;
		$("input[name='groupTipo"+ indice +"']").each(function(){ if( $(this).val() == 1 ) agrupamento++; });
	
		if(agrupamento < 2)
		{
			$("input[name='colFunction"+ indice +"']").each(function(){ $(this).val(''); });	

			divtratar = $("#camposRelatorio div div:first");
			while(1 == 1) 
			{
				if(divtratar.attr("id") == "addColumn")
					break;
					
				texto = divtratar.html();
				
				pos = texto.indexOf("(");
				if(pos > -1)
				{
					parar = false;
					while(!parar) 
					{
						if(texto.charAt(pos) == ')')
							parar = true;					
						  
						texto = texto.substr(0, pos) + texto.substr(pos+1)
					}
				}
				
				divtratar.html(texto);			
				divtratar = divtratar.next();
			}
		}
	}
	else if(novoArray[0] == 'col')
	{
		var valorColuna = $("#" + id).children("input[name='colField"+ indice +"']:first").val();
		var valorOperador = $("#" + id).children("input[name='colOperador"+ indice +"']:first").val();
	
		var tem = false;
		var idGrupo = '';
		$("input[name='groupField"+ indice +"']").each(function(){ 
			if( valorColuna == $(this).val() ) { 	
				idGrupo = $(this).parent().attr("id");				
				var grupoTipo = $("#" + idGrupo).children("input[name='groupTipo"+ indice +"']:first").val();
				var grupoOperador = $("#" + idGrupo).children("input[name='groupOperador"+ indice +"']:first").val();
				
				if(grupoTipo == 2 && valorOperador == grupoOperador)
					tem = true;
			}	
		});
		
		if(tem)
		{
			jAlert("O método será excluido do sumário!", 'Alerta!', function(){ 
				var empty = 0;
				$(".emptyGroup"+ indice).each(function(){ empty++; });

				if(!$('#addGroup'+ indice).is(':visible'))
					$('#addGroup'+ indice).show();
				else if(empty == 0 || empty == 1)
					$('#addGroup'+ indice).after(divEmpty);
					
				$('#' + idGrupo).remove();
			});
		}
	}
	else
	{
		return false;
	}
	
	$('#' + id).remove();
	$('#compoSelected').val("");
}

/* */
function removerCampoSemValidar()
{
	var	dadosCampos = 0;  
	$("input[name='colField']").each(function(){ dadosCampos++ });
	$("input[name='groupField']").each(function(){ dadosCampos++ });
	
	if(dadosCampos > 0)	
	{
		var divEmpty = '<div class="emptyGroup"> </div>';
		
		// GRUPOS
		var empty = 0;
		$(".emptyGroup").each(function(){ empty++; });
		
		if(!$('#addGroup').is(':visible'))
			$('#addGroup').show();
			
		if(empty == 0)
			$('#addGroup').after(divEmpty + divEmpty);
		else if(empty == 1)
			$('#addGroup').after(divEmpty);
		
		$(".group, .selectedGroup").remove();
		
		// COLUNAS
		$(".column, .selectedColumn").remove();
		
		$('#compoSelected').val("");
	}
	else
	{
		return false;
	}
}

/* REMOVER TODAS AS COLUNA OU GRUPO */
function removerCampoAll(gorc)
{
	var	dadosCampos = 0;  
	$("input[name='colField']").each(function(){ dadosCampos++ });
	$("input[name='groupField']").each(function(){ dadosCampos++ });
		
	if(dadosCampos > 0)	
	{
		jConfirm("As definições do sumário e das colunas serão removidas?", 'Confirmação!', 
			function(r) {
				if (r == true)
				{
					jAlert('Definições removidas com sucesso!' ,"Alerta!");
					
					var divEmpty = '<div class="emptyGroup"> </div>';
			
					// GRUPOS
					var empty = 0;
					$(".emptyGroup").each(function(){ empty++; });
					
					if(!$('#addGroup').is(':visible'))
						$('#addGroup').show();
						
					if(empty == 0)
						$('#addGroup').after(divEmpty + divEmpty);
					else if(empty == 1)
						$('#addGroup').after(divEmpty);
					
					$(".group, .selectedGroup").remove();
					
					// COLUNAS
					$(".column, .selectedColumn").remove();
					
					$('#compoSelected').val("");
				}
				else
				{
					return false;
				}
			});
	}
	else
	{
		return false;
	}
}

/* REMOVER TODAS AS COLUNA OU GRUPO OU FILTROS */
function removerAll()
{
	var	dadosCampos = 0;  
	$("input[name='colField']").each(function(){ dadosCampos++ });
	$("input[name='groupField']").each(function(){ dadosCampos++ });
	
	var	dadosFiltros = 0; 
	$(".fielFiltros select[name='opcao']").each(function(){ dadosFiltros++ });

	if(dadosCampos > 0)
	{
		var divEmpty = '<div class="emptyGroup"> </div>';
		
		// GRUPOS
		var empty = 0;
		$(".emptyGroup").each(function(){ empty++; });
		
		if(!$('#addGroup').is(':visible'))
			$('#addGroup').show();
			
		if(empty == 0)
			$('#addGroup').after(divEmpty + divEmpty);
		else if(empty == 1)
			$('#addGroup').after(divEmpty);
		
		$(".group, .selectedGroup").remove();
		
		// COLUNAS
		$(".column, .selectedColumn").remove();
		
		$('#compoSelected').val("");
	}

	// FILTROS
	if(dadosFiltros > 0)
	{
		$(".fielFiltros:not(:first)").remove();
		
		$(".resultFiltro").html("");
		$(".btnDivDel").html("");
		$('.btnDivAdd:last').html(imgAdicionar);
	}
	
	// CAMPOS CALCULADOS
	$(".tbListaCampoCalculado1 tr:not(.trCamposCalculadosLista)").remove();
	$(".tbListaCampoCalculado1").hide();
}
/* ************************************************************************* *
				FIM - MOVIMENTACAO DAS COLUNAS E DOS GRUPOS
 * ************************************************************************* */
function mostraTipoRelatorio()
{
	var relatorio = $("#relatorioid").val();	
	
	var tabela = $("#tabela").val();
	
	var tipo = $("input[name='formato']:radio:checked").val();
	
	$("#tabelasDetail, #infoMasterDetail").fadeOut("fast", function(){ $('#camposDetail, #divRMD').remove(); });
	
	$("#tbSelectVinculo").show();
	
	$("#tituloTabelaMaster, #tdFiltrosTabelaMaster").hide();
	
	$("#divAbaMaster").addClass("divAbaMaster");
	$("#ulAbasMasterDetail").hide();
	$("#divAbaMaster").show();
	$("#divAbaDetail").hide();
	
	$("#divCamposCalculadosMaster").addClass('divAbaMaster');
	$("#ulCamposCalculadosMasterDetail").hide();
	$("#divCamposCalculadosMaster").show();
	$("#divCamposCalculadosDetail").hide();
	
	if(tipo == 'D')
	{
		$.post(basepath + "principal/buscaTabelasDetail", {
			tabela : tabela
		}, function(data) {
			$("#infoMasterDetail").fadeIn("slow");
			$("#tabelasDetail").html(data).fadeIn("slow", function() {
				$("#tabelaDetail").change(function() { 
					if( $('#camposDetail').length ) 
						$("#camposDetail").val(''); 
				});
				
				tabsMasterDetail = $(".tabsDetail").children('ul').children();
				divsMasterDetail = $(".tabsDetail").children('div');
				$(".abaTrocar").click(trocarAbaMasterDetail);
			});
		});
	}
	else
	{
		$("#tabelasDetail, #infoMasterDetail").fadeOut("fast", function(){ $('#camposDetail, #divRMD').remove(); });
	}
	
	if(tipo == 'V') $("#tbSelectVinculo").hide();
	
	$.post(basepath + "relatorio/montaDadosRelatorio", {
		relatorio : relatorio,
		tabela : tabela,
		tipo : tipo
	}, function(data) {
		$("#dadosRelatorio").html(data);
		$("#addColumn").click(addColumn);
		$("#addGroup").click(addGroup);
		
		$("#graficoValor, #graficoCampo, #graficoCampo2").multiselect({ multiple: false, header: false, selectedList: 1, minWidth: "auto" });
		$("#graficoValor, #graficoCampo, #graficoCampo2").multiselect('refresh');
		$(".tipTip").tipTip({maxWidth: "auto", edgeOffset: 30, defaultPosition: "right"});
		
		// AQUI MUDA O TIPO DE GRAFICO
		$("input[name='tipoGrafico']:radio").change(trocaTipoGrafico);
	});
}

function verificarMasterDetail()
{
	var tabela = $("#tabela").val();
	
	var tipo = $("input[name='formato']:radio:checked").val();
	
	if(tipo == 'D')
	{
		$.post(basepath + "principal/buscaTabelasDetail", {
			tabela : tabela
		}, function(data) {
			$("#infoMasterDetail").fadeIn("slow");
			$("#tabelasDetail").html(data).fadeIn("slow", function() {
				$("#tabelaDetail").change(function() { 
					if( $('#camposDetail').length ) 
						$("#camposDetail").val(''); 
				});
			});
		});
	}
}

function flagMostrarTotal()
{
	if($.trim( $("#mostrarTotal").val() ) == 'N')
	{
		$("#mostrarTotal").val('S');
	}
	else
	{
		$("#mostrarTotal").val('N');
		
		if($.trim( $("#mostrarPorcentagem").val() ) == 'S')
		{
			$("#mostrarPorcentagem").val('N');
			$("#mostrarPorcentagem").removeAttr('checked');
		}
	}
}

function flagMostrarPorcentagem()
{
	if($.trim( $("#mostrarPorcentagem").val() ) == 'N')
	{
		$("#mostrarPorcentagem").val('S');
		
		if($.trim( $("#mostrarTotal").val() ) == 'N')
		{
			$("#mostrarTotal").val('S');
			$("#mostrarTotal").attr('checked', true);
		}
	}
	else
	{
		$("#mostrarPorcentagem").val('N');
	}
}

function trocarAbaMasterDetail()
{
	var abaMasterDeatail = this.id;
	
	tabsMasterDetail.removeClass('inDetail');
	$(tabsMasterDetail[abaMasterDeatail]).addClass('inDetail');
		
	divsMasterDetail.hide();
	$(divsMasterDetail[abaMasterDeatail]).fadeIn('slow');
}

function trocaTipoGrafico()
{
	var orientacao = $(this).val();
	
	var tabela = $("#tabela").val();

	var tipo = $("input[name='formato']:radio:checked").val();
	
	// Campos Calculados
	var calcNome = new Array();
	$(".tbListaCampoCalculado1 input[name='campoCalculadoLegenda']").each(function(){ calcNome.push($(this).val()); });
	
	var calcFormula = new Array();
	$(".tbListaCampoCalculado1 input[name='campoCalculadoFormula']").each(function(){ calcFormula.push($(this).val()); });
	
	var calcTipoData = new Array();
	$(".tbListaCampoCalculado1 input[name='campoCalculadoTipo']").each(function(){ calcTipoData.push($(this).val()); });
	
	var calcIndice = new Array();
	$(".tbListaCampoCalculado1 input[name='campoCalculadoIndice']").each(function(){ calcIndice.push($(this).val()); });
	
	$.post(basepath + "principal/buscaOrientacaoGrafico", {
		orientacao 		 : orientacao,
		tabela 			 : tabela,
		tipo 			 : tipo,
		'calcNome[]' 	 : calcNome,
		'calcIndice[]'   : calcIndice,
		'calcFormula[]'  : calcFormula,
		'calcTipoData[]' : calcTipoData
	}, function(data){
		$("#htmlOrientacaoGrafico").html(data);
		
		$("#graficoValor, #graficoCampo, #graficoCampo2").multiselect({ multiple: false, header: false, selectedList: 1, minWidth: "auto" });
		$("#graficoValor, #graficoCampo, #graficoCampo2").multiselect('refresh');
		$(".tipTip").tipTip({maxWidth: "auto", edgeOffset: 30, defaultPosition: "right"});
	});
}

function gerarDashboard(id, tipo)
{
	jConfirm("Deseja realmente incluir o relatório no dashboard?", 'Confirmação!', 
		function(r) {
			if (r == true)
			{
				$.post(basepath + "principal/inserirDashboard", {
					relatorio : id
				}, function(data) {	
					if (data == 1)
						window.location.href = basepath + 'principal/dashboard';
					else
						jAlert('Não foi possível incluir o relatório!', 'Alerta!');
				});
			}
			else
			{
				return false;
			}
		});
}

function configDetail()
{
	var tabelaMaster = $("#tabela").val();
	var tabelaDetail = $("#tabelaDetail").val();
	
	$.post(basepath + "principal/modalDetail", {
		tabelaMaster : tabelaMaster,
		tabelaDetail : tabelaDetail
	}, function(data){

		$("#janela_modal").html('');
		$("#overlay").html('');
		
		var overlay = '<div id="overlay"></div>';
		var overlayCSS = {'position' : 'absolute','width' : pageWidth + 'px','height' : pageHeight + 'px','left' : '0','top' : '0','display' : 'none', 'z-index' : '50'};
		
		var janela = '<div id="janela_modal"></div>';
		var janelaCSS = {'position' : 'absolute','top' : '50%','left' : '50%','width' : '620px','height' : '350px','margin-left' : '-310px','margin-top' : '-200px','background-color' : '#FFF','padding' : '10px','display' : 'none','border' : '4px solid #63A0CE','border-radius' : '10px','z-index' : '51'};
		
		var btnFechar = '<a onClick="fechar()"><img id="btnFechar" src="' + basepath + 'www/imagem/close.png" alt="Fechar" title="Fechar" /></a>';
		var btnFecharCSS = {'position' : 'absolute','top' : '50%','left' : '50%','cursor' : 'pointer','margin-left' : '283px','margin-top' : '-180px'}
		
		var btnCancelar = '<input type="image" id="btn_cancelar" name="btn_cancelar" src="' + basepath + 'www/imagem/btn_cancelar.png" onClick="fechar()" />';
		var btnCancelaCSS = {'position' : 'absolute','top' : '100%','left' : '100%','margin-left' : '-115px','margin-top' : '-38px','width' : '100px'}
		
		var btnOK = '<input type="image" id="btn_enviar" name="btn_enviar" src="' + basepath + 'www/imagem/btn_confirmar.png" onClick="confirmar()" />';
		var btnOKCSS = {'position' : 'absolute','top' : '100%','left' : '0%','margin-left' : '415px','margin-top' : '-38px','width' : '100px'}
		
		$("body").append(overlay);
		$("body").append(janela);
		$("#overlay").css(overlayCSS).fadeIn('fast', function() {
			
			$("#janela_modal").append(data);
			
			editarViculoMasterDetail();
			
			$("#janela_modal").append(btnFechar);
			$("#btnFechar").css(btnFecharCSS).fadeIn("slow");
			
			$("#janela_modal").append(btnCancelar);
			$("#btn_cancelar").css(btnCancelaCSS);
			
			$("#janela_modal").append(btnOK);
			$("#btn_enviar").css(btnOKCSS);
			
			$("#janela_modal").css(janelaCSS).fadeIn("slow");
		});

		return false;
	});	
}

function limparViculoMasterDetail()
{
	$("#camposDetail").val('');
	$("#textosDetail").val('');
	
	$.post(basepath + "principal/modalDetail", {
		tabelaMaster : $("#tabela").val(),
		tabelaDetail : $("#tabelaDetail").val()
	}, function(data) {
		$("#editarMasterDetail").html(data);
		
		$("#divRMD").html("");
		$(".columnShow").remove();
		$(".selectedColumnShow").remove();
	});
}

function editarViculoMasterDetail()
{
	if( $('#camposDetail').length > 0 && $('#camposDetail').val() != '' )
	{
		$(".optgroupHide").show();
		
		var campos = $('#camposDetail').val();
		var campo = campos.split(',');
		
		var textos = $('#textosDetail').val();
		var texto = textos.split(',');
		
		var metade = campo.length / 2;
		
		for(var i = 0; i < metade; i++)
		{
			var optMaster = '<option value="' + campo[i] + '">' + texto[i] + '</option>';
			$("#selectMasterDetail optgroup:first").append(optMaster);
			$('#selectMaster option[value="'+ campo[i] +'"]').remove();
		}
		
		for(var x = metade; x < campo.length; x++)
		{
			var optDetail = '<option value="' + campo[x] + '">' + texto[x] + '</option>';
			$("#selectMasterDetail optgroup:last").append(optDetail);
			$('#selectDetail option[value="'+ campo[x] +'"]').remove();
		}
	}
	else
	{
		return false;
	}
}

function confirmar()
{
	var origemDetail = $("#tabelaDetail").val();
	var array = origemDetail.split(',');
	
	var tabela = $("#tabela").val();
	var array1 = tabela.split(',');
	
	var camposDetail = new Array();
	var textoDetail = new Array();
	$("#selectMasterDetail option").each(function(){ 
		camposDetail.push($(this).val()); 
		textoDetail.push($(this).text()); 
	});
	
	var txtMaster = $("#selectMasterDetail option:first").text();
	
	if( $('#camposDetail').length > 0 )
	{
		$("#camposDetail").val(camposDetail);
		$("#textosDetail").val(textoDetail);
	}
	else
	{
		$("#tabelasDetail").after('<input type="hidden" value="'+ camposDetail +'" id="camposDetail" name="camposDetail"><input type="hidden" value="'+ textoDetail +'" id="textosDetail" name="textosDetail">');
	}
	
	$("#divRMD").html('');
	if( $('#camposDetail').length > 0 && $('#camposDetail').val() != '' )
	{
		var img = '  <img src="' + basepath + 'www/imagem/setaMasterDetail.png" align="absmiddle" />  ';
		var campos = $('#camposDetail').val();
		var campo = campos.split(',');
		
		var textos = $('#textosDetail').val();
		var texto = textos.split(',');
		
		var metade = campo.length / 2;

		var dados = '';
		var i = 1;
		$(".columnShow").remove();
		for(var r = 0; r < metade; r++) 
		{
			dados += '<span class="relDetail">&bull; </span>' + texto[r] + img + texto[metade + r] + ' <br/> ';
			i++;
			
			$.post(basepath + "principal/addColumnMasterDetail", {
				banco : array[0],
				tabela : array1[1],
				coluna : campo[r],
				legenda : txtMaster
			}, function(data) { 
				$("#camposRelatorio1 div:first").before(data);
				$(".columnShow").click(selectColumnMasterDetail);
			});
		}
        
		$("#tabelasDetail").after('<div id="divRMD">'+ dados +'</div>');
		
		tableInitDetail();
	}

	$("#janela_modal").fadeOut();
    $("#overlay").fadeOut();
}

function viculoMasterDetail()
{
	var valorMaster = $.trim( $("#selectMaster").val() );
	var valorDetail = $.trim( $("#selectDetail").val() );
	
	var txtMaster = $.trim( $("#selectMaster option:selected").text() );
	var txtDetail = $.trim( $("#selectDetail option:selected").text() );

	var count = 0;
	$("#selectMasterDetail option").each(function(){ count++ });
	
	if(valorMaster && valorDetail && count == 0)
	{
		$(".optgroupHide").show();
		
		var optMaster = '<option value="' + valorMaster + '">' + txtMaster + '</option>';
		var optDetail = '<option value="' + valorDetail + '">' + txtDetail + '</option>';
		
		$("#selectMaster option:selected").remove();
		$("#selectDetail option:selected").remove();
		$("#selectMasterDetail optgroup:first").append(optMaster);
		$("#selectMasterDetail optgroup:last").append(optDetail);
	}
	else
	{
		return false;
	}
}

function trocarAbaDetail(abaDetail)
{
	tabsDetail = $("#tabsDetailCriar").children('ul').children();
	divsDetail = $("#tabsDetailCriar").children('div');
	
	tabsDetail.removeClass('in');
	$(tabsDetail[abaDetail]).addClass('in');
	
	divsDetail.hide();
	$(divsDetail[abaDetail]).fadeIn('slow');
}

function refreshBloquearFiltroDetail()
{
	$('.opacityImgLock').unbind('click');
	
	$('.fielFiltrosDetail .resultFiltroDetail:last').next().next().next().html('<input id="ckeckboxBloqueioDetail" class="ckeckboxBloqueioDetail" type="text" value="0" style="display: none;"><img src="'+ imgUnlock +'" align="absmiddle" class="opacityImgLock" title="Bloquear Filtro" />');
	
	$('.opacityImgLock').click(bloquearFiltro);
}

function refreshBloquearFiltro()
{
	$('.opacityImgLock').unbind('click');
	
	$('.fielFiltros .resultFiltro:last').next().next().next().html('<input id="ckeckboxBloqueio" class="ckeckboxBloqueio" type="text" value="0" style="display: none;"><img src="'+ imgUnlock +'" align="absmiddle" class="opacityImgLock" title="Bloquear Filtro" />');
	
	$('.opacityImgLock').click(bloquearFiltro);
}

function bloquearFiltro()
{
	var valor = $(this).prev().val();
	valor++;
	
	if(valor > 2) valor = 0;
	
	if( valor == 0 )
	{
		$(this).attr('src', imgUnlock);
		
		$(this).attr('title', 'Bloquear Filtro');
	} 
	else if( valor == 1 )
	{
		$(this).attr('src', imgLock);
		
		$(this).attr('title', 'Editar Filtro');
	}
	else
	{
		$(this).attr('src', imgEdit);
		
		$(this).attr('title', 'Desbloquear Filtro');
	}
	
	$(this).prev().val(valor);
}

function initBloquearFiltro()
{
	imgLock = basepath + 'www/imagem/lock.png';
	
	imgUnlock = basepath + 'www/imagem/unlock.png';
	
	imgEdit = basepath + 'www/imagem/editarFiltro.png';
	
	$([ imgLock, imgUnlock, imgEdit ]).each(function(){ $('<img/>')[0].src = this; new Image().src=this; });
	
	$('.opacityImgLock').click(bloquearFiltro);
}
		
function init()
{
	initBloquearFiltro();
	
	var imgAdicionar = basepath + 'www/imagem/adicionar.png';
	var imgRemover = basepath + 'www/imagem/remover.png';
	$([ imgAdicionar, imgRemover ]).each(function(){ $('<img/>')[0].src = this; new Image().src=this; });
	
	// Definições das abas
	tabs = $(".tabs").children('ul').children();
	divs = $(".tabs").children('div');
	aba = 0;
	
	// Definições das abas Master/Detail
	tabsMasterDetail = $(".tabsDetail").children('ul').children();
	divsMasterDetail = $(".tabsDetail").children('div');
	$(".abaTrocar").click(trocarAbaMasterDetail);
	
	// Verifica os botões ativos
	verificaBtn(aba);
	
	// Descrição da tabela
	descricaoTabela();
	
	// Visualização da descrição
	$("#iconeDescricao").mouseover(function() { 
		$("#tabelaDescricao, #arrowDescricao").fadeIn('slow'); 
	}).mouseout(function(){ 
		$("#tabelaDescricao, #arrowDescricao").fadeOut('fast'); 
	});
	
	// Excluir filtro - Arrumar para não precisar do evento
	$('.opacityImgDel').click(removerFiltro);

	// Evento de seleção das colunas e dos grupos
	$(".column").click(selectColumn);
	$(".group").click(selectGroup);
	$(".columnShow").click(selectColumnMasterDetail);
	
	// Trocar o tipo de relatorio
	$("input[name='formato']:radio").change(mostraTipoRelatorio);
	
	// Trocar o tipo de grafico
	$("input[name='tipoGrafico']:radio").change(trocaTipoGrafico);
	
	// Desabilita o vinculo quando grafico de velocidade
	var formato = $("input[name='formato']:radio:checked").val();
	if(formato == 'V') 
		$("#tbSelectVinculo").hide();

	// Monta botão direito do mouse - Campos Calculados
	var tabela = $("#tabela").val();
	montarColunasCamposCalculados(tabela, 1);
	
	if(formato == 'D')
	{
		var tabelaDetail = $("#tabelaDetail").val();
		montarColunasCamposCalculados(tabelaDetail, 2);
	}
	
	// Mascaras
	$(".opcaoData").mask("99/99/9999");
	$(".opcaoTime").mask("99:99:99");		
	$('.opcaoInt').keypress(function(e) {
		var c = String.fromCharCode(e.which);
		var allowed = '1234567890';
		if (e.which != 8 && allowed.indexOf(c) < 0) return false;
	});
	$('.opcaoFloat').keypress(function(e) {
		var c = String.fromCharCode(e.which);
		var allowed = '1234567890.,';
		if (e.which != 8 && allowed.indexOf(c) < 0) return false;
	});
	
	$("#graficoValor, #graficoCampo, #graficoCampo2").multiselect({ multiple: false, header: false, selectedList: 1, minWidth: "auto", classes: "multiselect-graficos" });
	$("select[name='filtroCampos'], select[name='filtroCamposDetail']").multiselect({ multiple: false, header: false, selectedList: 1, minWidth: "auto", classes: 'multiselect-filtros multiselect-menu-filtros' });
	$("#graficoValor, #graficoCampo, #graficoCampo2, select[name='filtroCampos'], select[name='filtroCamposDetail']").multiselect('refresh');
	$(".tipTip").tipTip({maxWidth: "auto", edgeOffset: 30, defaultPosition: "right"});
}

$(document).ready(init);